use directories::ProjectDirs;
use thiserror::Error;

pub fn get_project_dirs() -> Result<ProjectDirs, ProjectDirError> {
    ProjectDirs::from("dev", "musuka", "save-sync").ok_or(ProjectDirError::HomeNotSet)
}

#[derive(Error, Debug)]
pub enum ProjectDirError {
    #[error("$HOME is not set")]
    HomeNotSet,
}
